aWhere Manual
DevelopAPIcore-services

Jobs

The background jobs of the signed-in user, such as imports.

GET
/api/job

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Query Parameters

status?unknown

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

Clear the finished jobs

DELETE
/api/job

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X DELETE "https://platform.example.com/api/job" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

Read one job

GET
/api/job/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the job.

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

Remove one job

DELETE
/api/job/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the job.

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X DELETE "https://platform.example.com/api/job/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}

Read the log of a job

GET
/api/job/{id}/logs

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the job.

Query Parameters

start?unknown
end?unknown

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID/logs" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}
GET
/api/job/{id}/progress

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the job.

Response Body

The answer.

application/json
  1. response
data?array<unknown>
curl -X GET "https://platform.example.com/api/job/$ID/progress" \  -H "Authorization: Bearer $TOKEN"
{  "data": [    null  ]}